import { type Base, genBase } from "./_base"

export interface User extends Base {
  name: string
  // password: string // not returning password from API
  status_code: string
  position_code: string
}

export function genUser(): User {
  return {
    ...genBase(),
    name: '',
    status_code: '',
    position_code: ''
}
}
